curl --request POST \
--url https://hpay-api.host-sl.com/api/v1/wallets/wall_123/disable \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
result = client.wallets.disable("wall_123")
print(result)
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const result = await client.wallets.disable("wall_123");
console.log(result);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hpay-api.host-sl.com/api/v1/wallets/wall_123/disable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => [
"api-key: YOUR_API_KEY",
"secret-key: YOUR_SECRET_KEY"
]
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
?>
{
"id": "wall_123",
"user_id": "user_123",
"balance": 150.50,
"currency": "SLE",
"is_active": false
}
{
"detail": "Invalid application credentials"
}
{
"detail": "Wallet not found"
}
Wallets
Disable Wallet
Disable a specific wallet
POST
/
api
/
v1
/
wallets
/
{wallet_id}
/
disable
curl --request POST \
--url https://hpay-api.host-sl.com/api/v1/wallets/wall_123/disable \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
result = client.wallets.disable("wall_123")
print(result)
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const result = await client.wallets.disable("wall_123");
console.log(result);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hpay-api.host-sl.com/api/v1/wallets/wall_123/disable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => [
"api-key: YOUR_API_KEY",
"secret-key: YOUR_SECRET_KEY"
]
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
?>
{
"id": "wall_123",
"user_id": "user_123",
"balance": 150.50,
"currency": "SLE",
"is_active": false
}
{
"detail": "Invalid application credentials"
}
{
"detail": "Wallet not found"
}
Endpoint
POST /api/v1/wallets/{wallet_id}/disable
Path Parameters
string
required
The unique identifier of the wallet to disable.
Headers
string
required
Your application API key
string
required
Your application secret key
Response
string
The unique identifier of the wallet.
boolean
Whether the wallet is currently active (will be
false).curl --request POST \
--url https://hpay-api.host-sl.com/api/v1/wallets/wall_123/disable \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
result = client.wallets.disable("wall_123")
print(result)
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const result = await client.wallets.disable("wall_123");
console.log(result);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hpay-api.host-sl.com/api/v1/wallets/wall_123/disable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => [
"api-key: YOUR_API_KEY",
"secret-key: YOUR_SECRET_KEY"
]
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
?>
{
"id": "wall_123",
"user_id": "user_123",
"balance": 150.50,
"currency": "SLE",
"is_active": false
}
{
"detail": "Invalid application credentials"
}
{
"detail": "Wallet not found"
}